/*global tb_show, tb_remove, alert, plupload, AdminParams, ajaxurl */
(function($){
    "use strict";

    window.A13_ADMIN = { //A13 = APOLLO 13
        settings : {},

        //run after DOM is loaded
        onReady : function(){
            A13_ADMIN.upload();
            A13_ADMIN.utils.init();
            A13_ADMIN.metaActions.init();
            A13_ADMIN.settingsAction();
        },

        upload : function(){
            var field_for_uploaded_file,
                $upload_input,
                tbframe_interval,
                upload_buttons = $('.upload-image-button'),

                air_upload_file = function(){
                    //parent of upload input
                    var $cont = $(this).parent();

                    //find text input to write in
                    $upload_input = $('input[type=text]', $cont);

                    //remember in which input we want to write
                    field_for_uploaded_file = $upload_input.attr('name');

                    //show wordpress thickbox
                    tb_show('Upload or select file to use', 'media-upload.php?&amp;post_id=0&amp;type=image&amp;TB_iframe=true');

                    //set insert image button to nice name
                    tbframe_interval = setInterval(function() {
                        $('#TB_iframeContent').contents()
                            .find('.savesend input.button, #go_button').val('Use this media');
                    }, 2000);

                    //prevent default actions
                    return false;
                },

                a13_send_to_editor = function(html){
                    //if there is some field waiting for input
                    if (field_for_uploaded_file !== undefined) {
                        //end inserting nice name
                        clearInterval(tbframe_interval);

                        //for searching if only <img> is returned in html
                        html = $('<div></div>').append(html);

                        //search for img in returned code
                        var $img = $('img',html);

                        //if selected media is image
                        if($img.length){
                            var img_parent = $img.parent(),
                                file_url = $img.attr('src'),
                                _id         = $upload_input.attr('id'),
                                split_index = _id.lastIndexOf('_'),
                                id_start    = _id.substring(0, split_index),
                                id_end      = _id.substring(split_index);

                            //insert its src to waiting field
                            $upload_input.val(file_url);

                            //search & fill other inputs(META)
                            if(id_start.length){
                                //title of photo
                                $('#' + id_start + '_name' + id_end).val($img.attr('title'));

                                //get attachment id
                                var str = $img.attr('class'),
                                    regExp = /wp-image-([0-9]+)/i,
                                    pos_inp = $('#' + id_start + '_id' + id_end),
                                    result;
                                result = regExp.exec(str);
                                if(result && result.length){
                                    pos_inp.val(result[1]);
                                }
                                else{
                                    //remove id if any
                                    pos_inp.val('');
                                }

                                //change thumb
                                pos_inp.parent().next('img.thumb').attr('src', file_url).show();
                            }

                            //if upload for short code input
                            if(field_for_uploaded_file === 'apollo13-image-img'){
                                //fill title
                                $('#apollo13-image-alt').val($img.attr('title'));
                                //fill url
                                if(img_parent.is('a')){
                                    $('#apollo13-image-url').val(img_parent.attr('href'));
                                }
                                //fill dimensions
                                $('#apollo13-image-dimensions').val('width:' + $img.attr('width') + 'px; height:' + $img.attr('height') + 'px;');
                            }

//not used
//                  //collect attributes
//                  var file_attr = 'alt="' + $img.attr('alt') + '"';
//                  if($img.attr('title')){
//                      file_attr += ' title="' + $img.attr('title') + '"'
//                  }
//
//                  //insert to attribute filed if available
//                  var $attr_inp = $upload_input.parents('.input-parent').next('.input-parent');
//                  if($attr_inp.is('.for-image-attributes')){
//                        $attr_inp.find('input[type="text"]').val(file_attr);
//                  }
                        }
                        //search for link and its href
                        else{
                            var media = html.find('a').eq(0);

                            if(media.length){
                                //insert its src to waiting field
                                $upload_input.val(media.attr('href'));
                            }
                        }

                        //send event to update fieldset
                        $upload_input.parents('div.fieldset').trigger('fill_fieldset');

                        //close thickbox
                        tb_remove();

                        //clean waiting variable
                        field_for_uploaded_file = undefined;
                    }
                    //else default wordpress action
                    else {
                        window.original_send_to_editor(html);
                    }
                };

            /* replace default action of inserting into editor */
            //copy original function
            window.original_send_to_editor = window.send_to_editor;
            //our new function
            window.send_to_editor = a13_send_to_editor;

            //bind for our hijacked events
            if( upload_buttons.length ){
                //bind click event on upload button
                upload_buttons.click( air_upload_file );

                //clean if thickbox was closed too early
                $('html').on('tb_unload',function(){
                    //clean waiting variable
                    field_for_uploaded_file = undefined;

                    //end inserting nice name
                    clearInterval(tbframe_interval);
                });
            }
        },

        mupload : {
            fileUploaded : function(up, file, response) {
                var AM = A13_ADMIN.metaActions;
//                            console.log ('FileUploaded', $.parseJSON(response['response']));

                //crunching info
                $('#' + file.id).empty().append('<strong>Crunching&hellip;</strong>');

                //add new inputs set for new images
                var added_set = AM.clear_fieldset(AM.add_more_fields_meta( $('.apollo13-metas .add-more-fields'))),
                    number = added_set.attr('title'),
                    rJSON = $.parseJSON(response.response),
                    thumb_info = added_set.find('div.thumb-info');

                //set proper number for additive inputs
//not used now
//                            $('input[name="image_or_video_' + number + '"][value="post_image_' + number + '"]')
//                                .val('post_image_' + number)
//                                //change so everything looks good in form
//                                .change();

                //fill fields
                $('#post_image_' + number).val(rJSON.src);
                $('#post_image_name_' + number).val(rJSON.title);
                $('#post_image_id_' + number).val(rJSON.id);

                if(thumb_info.length){
                    var fields = added_set.find('div.thumb-fields'),
                        thumb_src = rJSON.thumb,
                        thumb_title = rJSON.title,
                        thumb = fields.find('img.thumb');

                    if(typeof thumb_src !== 'undefined' && thumb_src.length){
                        thumb_info.find('img').attr('src', thumb_src).show();
                        if(thumb.length){
                            thumb.attr('src', thumb_src).show();
                        }
                    }

                    //fill title
                    if(typeof thumb_title !== 'undefined'){
                        thumb_info.find('span.thumb-title').text(thumb_title);
                    }
                }

            },

            filesAdded : function(up, files){
                var hundred_mb = 100 * 1024 * 1024, //100MB file size limit
                    max = parseInt(up.settings.max_file_size, 10),
                    upload_div = $('#plupload-upload-ui');

                $('#drag-drop-area').addClass('loading');

                plupload.each(files, function(file){

                    if (max > hundred_mb && file.size > hundred_mb && up.runtime !== 'html5'){
                        // file size error?
                        alert('file size error');
                    }
                    else{
                        // add file to filelist and show progressbar
                        upload_div
                            .find('div.file-list').append(
                            '<div class="file" id="' + file.id + '">' +
                                '   <strong>' + file.name + '</strong>' +
                                '   (<span>' + plupload.formatSize(0) + '</span>/' + plupload.formatSize(file.size) + ') ' +
                                '   <div class="file-progress"></div>' +
                                '</div>');
                    }
                });

                up.refresh();
                up.start();
            },

            uploadProgress : function(up, file) {
                $('#' + file.id).find('div.file-progress').width(file.percent + "%")
                    .end()
                    .find('span').html(plupload.formatSize(parseInt(file.size * file.percent / 100, 10)));
            },

            uploadComplete : function(/*up, files*/) {
                //empty file list
                var upload_div = $('#plupload-upload-ui'),
                    fl = upload_div.find('div.file-list');

                fl.children().fadeOut(300).queue(function(){
                    fl.empty();
                    $(this).dequeue();
                });

                $('#drag-drop-area').removeClass('loading');
            }
        },

        utils: {
            init : function(){
                var AU = A13_ADMIN.utils;

                AU.contact_drop_area();
                AU.color_picker();
                AU.slider_option();
                AU.sortable_socials();
                AU.fonts.init(AU);
            },

            contact_drop_area: function(){
                var da = $('#contact_drop_area');
                if(da.length){
                    var ll          = $('#contact_ll'),
                        zoom        = $('#contact_zoom'),
                        type        = $('#contact_map_type'),
                        llRegEx     = /ll=([0-9\.,\-]+)&?/ig,
                        zoomRegEx   = /&z=([0-9]+)&?/ig,
                        typeRegEx   = /&t=([a-z]+)&?/ig,
                        matches,

                        processField = function(){
                        var val     = da.val();

                        //if any value then please proceed
                        if(val.length){
//                            console.log(llRegEx.exec(val),zoomRegEx.exec(val), typeRegEx.exec(val));

                            //Latitude, Longitude
                            matches = llRegEx.exec(val);
                            if(matches !== null && matches.length === 2){
                                ll.val(matches[1]);
                            }

                            //Zoom
                            matches = zoomRegEx.exec(val);
                            if(matches !== null && matches.length === 2){
                                zoom.val(matches[1]).blur();
                            }

                            //Map type
                            matches = typeRegEx.exec(val);
                            if(matches !== null && matches.length === 2){
                                var realType;
                                if(matches[1] === 'k'){
                                    realType = 'SATELLITE';
                                }
                                else if(matches[1] === 'm'){
                                    realType = 'ROADMAP';
                                }
                                else if(matches[1] === 'h'){
                                    realType = 'HYBRID';
                                }
                                else if(matches[1] === 'p'){
                                    realType = 'TERRAIN';
                                }

                                type.val(realType);
                            }
                        }
                    };

                    //bind drop area
                    da.on('input blur', processField);

                }
            },

            /*** color picker ***/
            color_picker : function(){
                var input_color = $('input.with-color');
                if(input_color.length){
                    input_color.wheelColorPicker({
                        dir: AdminParams.colorDir,
                        format: 'rgba',
                        validate: true,
                        color: null
                    });

                    //transparent value
                    $('body').on('click', 'button.transparent-value', function(){
                        $(this).prev('input.with-color').attr('style','').val('transparent');
                        return false;
                    });
                }
            },

            /**** SLIDER FOR SETTING NUMBER OPTIONS ****/
            slider_option : function(){
                var sliders = $('div.slider-place');
                if(sliders.length){
                    //setup sliders
                    sliders.each(function(index){
                        var min,max,unit,$s;
                        //collect settings
                        $s = sliders.eq(index);
                        min = $s.data('min');
                        min = (min === '')? 10 : min; //0 is allowed now
                        max = $s.data('max');
                        max = (max === '')? 30 : max; //0 is allowed now
                        unit = $s.data('unit');

                        $s.slider({
                            range: "min",
                            animate: true,
                            min: min,
                            max: max,
                            slide: function( event, ui ) {
                                $( this ).prev('input.slider-dump').val( ui.value + unit );
                            }
                        });
                    });

                    //set values of sliders
                    $( "input.slider-dump" ).bind('blur', function(){
                        var _this = $(this),
                            value = parseInt(_this.val(), 10),
                            slider = _this.next('div.slider-place'),
                            unit = slider.data('unit');

                        if( !isNaN(value) && (value + '').length){ //don't work on empty && compare as string
                            slider.slider( "option", "value", value );
                            _this.val(value + unit);
                        }
                    }).trigger('blur');
                }
            },

            /**** SORTABLE SOCIALS ****/
            sortable_socials : function(){
                var pos_selector = 'input.vhidden',

                    create_sort = function(event/*, ui*/){
                        var items = $(event.target).find(pos_selector);

                        items.sort(function(a,b){
                            var _a = parseInt( $(a).val(), 10 ),
                                _b = parseInt( $(b).val(), 10 );
                            return _a - _b;
                        });

                        for(var i = 0, len = items.length; i < len; i++){
                            items.eq(i).val(i).parent().parent().appendTo('#sortable-socials > .inside');
                        }
                    },

                    update_sort = function(event, ui){
                        var index_1 = parseInt($(ui.item).find(pos_selector).val(), 10),
                            index_2 = parseInt($(ui.item).prev().find(pos_selector).val(), 10),
                            temp;

                        if(!index_2){
                            index_2 = 0;
                        }

                        //switch indexes if needed
                        if(index_1 > index_2){
                            temp    = index_1;
                            index_1 = index_2;
                            index_2 = temp;
                        }

                        var items = $('#sortable-socials').find(pos_selector);
                        for(var i = index_1; i <= index_2; i++){
                            items.eq(i).val(i);
                        }
                    };

                $('#sortable-socials').sortable({
                    axis: 'y',
                    distance: 10,
                    placeholder: "ui-state-highlight",
                    items: 'div.text-input',
                    cursor: 'move',
                    revert: true,
                    forcePlaceholderSize: true,
                    create: create_sort,
                    update: update_sort
                });
            },

            /**** SELECTING GOOGLE FONTS ****/
            fonts : {
                init: function(AU){
                    var s = $('select.fonts-choose'),
                        F = AU.fonts;
                    if(s.length){
                        //bind font change
                        s.change(F.change);

                        //bind sample text update
                        $('input.sample-text')
                            .on('blur input keyup', F.updateSampleText )
                            .on('dblclick', F.editSampleText);
                        $('span.sample-view').on('dblclick', F.editSampleText);

                        //bind selecting font parameters
                        $('div.font-info').on('change', 'input[type="checkbox"]',{}, F.makeFontWithParams);

                        //run to load selected font after page is loaded
                        s.change();
                    }
                },

                change: function(){
                    var _s = $(this),
                        parent = _s.parent(),
                        first_load = false,
                        F = A13_ADMIN.utils.fonts;

                    if(_s.hasClass('first-load')){
                        _s.removeClass('first-load');
                        first_load = true;
                    }

                    //if font is classic font don't make request
                    if(_s.find('option').filter(':selected').hasClass('classic-font')){
                        //set family for sample view
                        parent.find('span.sample-view').css('font-family', _s.val());
                        //clear font info
                        parent.find('div.font-info').find('div.variants, div.subsets').empty();
                        //fill hidden input
                        F.makeFontWithParams(_s, true);
                        return;
                    }

                    //google font details request
                    $.post(ajaxurl, {
                            action : 'a13_font_details', //called in backend
                            font : _s.val()    //value of select
                        },
                        function(r) { //r = response
                            //check if font was found
                            if(r !== false){
                                F.createHeadLink(r);
                                //don't overwrite saved option in first 'change' event
                                if(!first_load){
                                    parent.find('span.sample-view').css('font-family', r.family);
                                    F.fillInfo(r, _s);
                                    F.makeFontWithParams(_s);
                                }
                            }
                        },
                        'json'
                    );
                },

                createHeadLink: function(r){
                    var apiUrl = [],
                        url;

                    apiUrl.push('//fonts.googleapis.com/css?family=');
                    apiUrl.push(r.family.replace(/ /g, '+')); //font name -> font+name

                    if ($.inArray('regular', r.variants) !== -1) {
                        apiUrl.push(':');
                        apiUrl.push('regular,bold');
                    }
                    else{
                        apiUrl.push(':');
                        apiUrl.push(r.variants[0]);
                        apiUrl.push(',bold');
                    }
                    apiUrl.push('&subset=');
                    $.each(r.subsets, function(index, val){
                        //add comma if more subsets
                        if(index > 0){
                            apiUrl.push(',');
                        }
                        apiUrl.push(val);

                    });

                    url = apiUrl.join('');
                    // url: '//fonts.googleapis.com/css?family=Anonymous+Pro:bold&subset=greek'

                    $('head').append('<link href="'+url+'" rel="stylesheet" type="text/css" />');
                },

                updateSampleText: function(){
                    var inp = $(this);
                    inp.parent().find('span.sample-view').html(inp.val());
                },

                editSampleText: function(){
                    var elem = $(this);

                    if(elem.is('span')){//enable edit
                        elem.hide().prev().show().focus();
                    }
                    else{//disable edit
                        elem.hide().next().show();
                    }
                },

                fillInfo: function(r, select){
                    var info = select.parent().find('div.font-info'),
                        v = info.find('div.variants'),
                        s = info.find('div.subsets'),
                        html = '';

                    $.each(r.subsets, function(){
                        html += '<label><input type="checkbox" name="subset" value="'+this+'" />'+this+'</label>'+"\n";
                    });
                    s.empty().append(html);

                    html = '';
                    $.each(r.variants, function(){
                        html += '<label><input type="checkbox" name="variant" value="'+this+'" />'+this+'</label>'+"\n";
                    });
                    v.empty().append(html);
                },

                makeFontWithParams: function(s, classic_font){
                    //if called as event callback
                    if(!(s instanceof jQuery)){
                        s = $(this).parents('div.input-desc').eq(0).find('select');
                    }
                    if(typeof classic_font === 'undefined'){
                        classic_font = false;
                    }

                    var name = s.val(),
                        parent = s.parent(),
                        font_input = parent.find('input.font-request'),
                        variants = parent.find('.variants input').filter(':checked'),
                        subsets = parent.find('.subsets input').filter(':checked');

                    //it is not needed to strip colon and other stuff form classic fonts
                    //but missing colon will be used to easily distinguish classic from google
                    if(!classic_font){
                        //variants
                        //colon even if no variant
                        name +=':';
                        $.each(variants, function(index, val){
                            //add comma if more subsets
                            if(index !== 0){
                                name +=',';
                            }
                            name += $(val).val();
                        });

                        //subsets
                        $.each(subsets, function(index, val){
                            //add comma if more subsets
                            if(index === 0){
                                name +=':';
                            }
                            else{
                                name +=',';
                            }
                            name += $(val).val();
                        });
                    }

                    //fill input
                    font_input.val(name);
                }
            }

        },

        helpers : {
            //rewrite 'name', 'for', 'id', 'value' of children
            reindex_fields : function(element, new_index){
                var to_change = {
                    'name'  : '[name]',
                    'for'   : '[for]',
                    'id'    : '[id]',
                    'value' : '.switch-control input[type="radio"], .switch-control option'
                };

                //update counters
                element.attr('title', new_index);
                element.find('input.position').val(new_index);

                //change switch group name
                element.find('div.switch-group').each(function(){
                    var elem = $(this),
                        attr = elem.attr('data-switch'),
                        change = attr.lastIndexOf('_'),
                        name = attr.substring(0, change) + '_' + new_index;
                    elem.attr('data-switch', name);
                });

                //update inputs
                $.each(to_change, function(index, selector){
                    element.find(selector).each(function(){
                        var elem = $(this),
                            attr = elem.attr(index),
                            change = attr.lastIndexOf('_'),
                            name = attr.substring(0, change) + '_' + new_index;
                        elem.attr(index, name);
                    });
                });
            },

            //adds 'temp' to name of radio inputs so they won't lose selected value
            //while reindexing
            prepare_radio : function(element){
                element
                    .find('input[type="radio"]').each(function(){
                        var t = $(this),
                            n = t.attr('name');

                        t.attr('name', n+'temp');
                    });
            }
        },

        metaActions : {
            init : function(){
                //if there are meta fields check for special elements
                var apollo_meta = $('div.apollo13-metas'),
                    AM = A13_ADMIN.metaActions;

                if (apollo_meta.length) {
                    //bind add more fields button
                    apollo_meta.find('span.add-more-fields').click(function(){
                        AM.clear_fieldset(AM.add_more_fields_meta(this));
                    });

                    //bind switcher for:
                    // hide unused options like image vs video
                    apollo_meta.find('div.switch').children('div.input-parent').find('input[type="radio"], select').change(AM.change_switch);

                    //adds 'remove button' for all additives sets
                    AM.add_remove_button(apollo_meta.find('div.fieldset.additive'));

                    //add actions for thumb boxes
                    AM.thumbBoxes.init(apollo_meta);
                }
            },

            thumbBoxes : {
                init : function(apollo_meta){
                    var thumb_boxes = apollo_meta.find('div.thumb-info'),
                        AMT = A13_ADMIN.metaActions.thumbBoxes;

                    if(thumb_boxes.length){
                        //fill thumb-info with data
                        for(var i = 0, count = thumb_boxes.length; i < count; i++ ){
                            AMT.fill_thumb_info(thumb_boxes.eq(i));
                        }

                        apollo_meta
                            .on('click','span.thumb-show-fields',{}, AMT.show_thumb_fields)
                            .on('clear_fieldset', 'div.fieldset', {}, AMT.clear_thumb_info)
                            .on('fill_fieldset', 'div.fieldset', {}, function(){ AMT.fill_thumb_info($(this).find('div.thumb-info')); });

                        apollo_meta.sortable({
                            axis: 'y',
                            distance: 10,
                            placeholder: "ui-state-highlight",
                            handle: 'div.thumb-info',
                            items: 'div.additive',
                            revert: true,
                            forcePlaceholderSize: true,
                            cursor: 'move',
                            update: AMT.update_sort_thumbs
                        });
                    }
                },

                fill_thumb_info : function(elem){
                    var fields          = elem.next('.thumb-fields'),
                        type            = fields.find('div.switch').find('input[type="radio"]').filter(':checked').val(),
                        thumb_src       = fields.find('img.thumb').attr('src'),
                        thumb_alt_src   = fields.find('input.for-thumb').val(),
                        thumb_title     = fields.find('input.for-thumb-title').val(),
                        thumb_title_v   = fields.find('input.for-thumb-title-video').val();

                    if(!fields.is(':visible')){
                        elem.siblings().hide();
                    }

                    if(typeof thumb_src !== 'undefined' && thumb_src.length){
                        elem.find('img').attr('src', thumb_src).show();
                    }
                    else if(typeof thumb_alt_src !== 'undefined' && thumb_alt_src.length){
                        elem.find('img').attr('src', thumb_alt_src).show();
                    }

                    if(typeof type !== 'undefined'){
                        //fill title
                        if(type.lastIndexOf('image') !== -1){
                            if(typeof thumb_title !== 'undefined'){
                                elem.find('span.thumb-title').text(thumb_title);
                            }
                        }
                        else if(type.lastIndexOf('video') !== -1){
                            if(typeof thumb_title_v !== 'undefined'){
                                elem.find('span.thumb-title').text(thumb_title_v);
                            }
                        }
                    }
                },

                clear_thumb_info : function(){
                    var elem = $(this),
                        position = elem.find('input.position').val();

                    elem
                        //hide big thumb
                        .find('img.thumb').attr('src', '').hide()
                        //empty id of attachment
                        .end().find('#post_image_id_' + position).val('')
                        .end().find('div.thumb-info')
                        //hide small thumb
                        .find('img').attr('src', '').hide()
                        //clear title
                        .end().find('span.thumb-title').text('');
                },

                //show/hide thumb fields
                show_thumb_fields : function(){
                    var link            = $(this),
                        current_text    = link.text(),
                        info            = link.parents('.thumb-info'),
                        elems           = info.siblings();

                    link.text(link.data('swaptext')).data('swaptext', current_text);
                    if(link.hasClass('open')){
                        elems.slideUp();
                        link.removeClass('open');
                    }
                    else{
                        elems.slideDown();
                        link.addClass('open');
                    }

                },

                /**** SORTABLE THUMBS ****/
                update_sort_thumbs : function(event, ui){
                    var index_1 = parseInt(ui.item.attr('title'), 10),
                        index_2 = parseInt(ui.item.prev().attr('title'), 10),
                        temp,
                        items = ui.item.parents('div.apollo13-metas').find('div.additive'),
                        i;


                    if(!index_2){
                        index_2 = 1;
                    }

                    //switch indexes if needed
                    if(index_1 > index_2){
                        temp    = index_1;
                        index_1 = index_2;
                        index_2 = temp;
                    }

                    //man o man, I made stupid indexes for that one. MUST always start from 0 Index!
                    //reindex other sortable elements
                    for(i = index_1-1; i < index_2; i++){
                        A13_ADMIN.helpers.prepare_radio(items.eq(i));
                    }
                    for(i = index_1-1; i < index_2; i++){
                        A13_ADMIN.helpers.reindex_fields(items.eq(i), i+1);
                    }
                }
            },

            change_switch : function(){
                var input   = $(this),
                    parent  = input.parents('div.switch').eq(0), /* first switch parent */
                    to_show = input.val();

                parent
                    .children('div.switch-group').hide()
                    .filter('[data-switch="'+to_show+'"]').show();
            },

            add_more_fields_meta : function(element){
                var mark = $(element).parent(),
                //clone last element
                    insert = mark.prev('.additive').clone(true, true),
                    current_number = parseInt(insert.attr('title'), 10),
                    new_number = current_number + 1,
                    opener;

                //alter current number
                insert.attr('title', new_number);

                A13_ADMIN.helpers.prepare_radio(insert);
                A13_ADMIN.helpers.reindex_fields(insert, new_number);

                //alter mover
                insert
                    .find('input.position').val(new_number)
                    .end().insertBefore(mark)
                    .siblings('.counter-input').val(new_number);

                //open fieldset
                opener = insert.find('span.thumb-show-fields');
                if(!opener.hasClass('open')){
                    opener.click();
                }

                return insert;
            },

            clear_fieldset : function(element){
                var inputs = element.find('input[type="text"]'),
                    text_area = element.find('textarea'),
                    i, count;

                for(i = 0, count = inputs.length; i < count; i++){
                    inputs.eq(i).val('');
                }
                for(i = 0, count = text_area.length; i < count; i++){
                    text_area.eq(i).val('');
                }

                element.trigger('clear_fieldset');

                return element;
            },

            add_remove_button : function(element){
                var new_remover = $('<span class="button remove-fieldset">Remove fieldset</span>').appendTo(element);
                new_remover.click(function(){
                    var main = $(this).parent(),
                        index = parseInt(main.attr('title'), 10),
                        successors = main.nextAll('.fieldset.additive'),
                        predecessors = main.prevAll('.fieldset.additive'),
                        counter, i, count;

                    //if only one left
                    if(!successors.length && !predecessors.length ){
                        A13_ADMIN.metaActions.clear_fieldset(main);
                    }
                    //last one
                    else if(!successors.length && predecessors.length){
                        counter = parseInt(main.prevAll('input.counter-input').val(), 10);
                        main.prevAll('input.counter-input').val(counter - 1);
                        main.fadeOut(250,function(){ main.remove(); });
                    }
                    //have successors
                    else if(successors.length){
                        for(i = 0, count = successors.length; i < count; i++ ){
                            A13_ADMIN.helpers.prepare_radio(successors.eq(i));
                        }
                        for(i = 0, count = successors.length; i < count; i++ ){
                            A13_ADMIN.helpers.reindex_fields(successors.eq(i), index + i);
                        }

                        counter = parseInt(main.prevAll('input.counter-input').val(), 10);
                        main.prevAll('input.counter-input').val(counter - 1);
                        main.fadeOut(250,function(){ main.remove(); });
                    }
                });
            }
        },

        settingsAction : function(){
            //sliding options fields sets
            var hide_fieldset = function(){
                var bar = $(this),
                    block = bar.parent(),
                    input = bar.find('input[type="hidden"]');

                if(block.hasClass('closed')){
                    block.removeClass('closed');
                    bar.next('div.inside').slideDown(300);
                    input.val('1');
                }
                else{
                    input.val('0');
                    bar.next('div.inside').slideUp(300, function(){
                        block.addClass('closed');
                    });
                }
            };

            $('div.fieldset-name').click(hide_fieldset);

            //iframe with help
            var show_help = function(e){
                e.preventDefault();

                tb_show('Apollo13 inline documentation', $(this).attr('href') + '?TB_iframe=true&amp;width=1100' );
            };

            $('.help-info a').click(show_help);
        }
    };

    var A13_ADMIN = window.A13_ADMIN;

    //start ADMIN
    $(document).ready(A13_ADMIN.onReady);

})(jQuery);